Mingle's Browser Requirements

Posted by Melissa

27 May 2014

Though we keep our browser requirements up to date in our help doc, we thought we’d post them here so it’s clear for all of our customers. So, here goes:

We officially support Chrome

We’ve supported other browsers in the past, but we’ve updated them now to keep up with trends in our customers’ usage patterns.

If you’re using the latest version of Firefox, Safari, or Internet Explorer, you shouldn’t experience significant issues. But just in case you do, feel free to contact our support team.

Thanks, as always.

comments powered by Disqus